4 Replies Latest reply on Dec 7, 2016 7:04 AM by Ashitosh Wandre

    Apache Karaf container 3.0.x+ integration with Jboss Fuse 6.2 runtime server

    Ashitosh Wandre Newbie

      HI..

       

      JBoss fuse server 6.2 comes with Apache Karaf container 2.4.0 component. I want to upgrade karaf to 3.0 version for Jboss fuse 6.2 server.

      Why I am trying to do this :- Karaf container should provide Entitymanager (JPA_Hibernate) object itself (which karaf 2.4.0 is not capable of ), I dont want to use Entitymanagerfactory to generate Entitymanager objects.

       

      Please help/suggest way to upgrade karaf version.

       

      Regards,

      Ashitosh